from pbxproj.XcodeProject import *
import os
import sys
import argparse

def AddEmbedFramework(xcodeproj, eframeworks):
    if os.path.isfile(xcodeproj + '/project.pbxproj') == False:
        print 'Error: ' + xcodeproj + ' is not an xcodeproj.'
        sys.exit(-1)  
    for framework in eframeworks:
        if os.path.isdir(framework) == False:
            print 'Error: ' + framework + ' does not exist.'
            sys.exit(-1)
    project = XcodeProject.load(xcodeproj + '/project.pbxproj')
    options = FileOptions(create_build_files=True, weak=False, embed_framework=True, code_sign_on_copy=True)
    for framework in eframeworks:
        project.add_file(path=framework, file_options=options, target_name="harvestland")
    project.save()    
    
def AddAdditionalPostbuildScript(xcodeproj, script):
    if os.path.isfile(xcodeproj + '/project.pbxproj') == False:
        print 'Error: ' + xcodeproj + ' is not an xcodeproj.'
        sys.exit(-1) 
    project = XcodeProject.load(xcodeproj + '/project.pbxproj')
    project.add_run_script(script, target_name='harvestland')
    project.save() 
        
